#!/bin/bash
ZENITY=$(which zenity)
if [ -z "$(file /sbin/init|grep systemd)" ]; then
	exit 0
fi
if [ -n "$(systemctl -n0 status systemd-resolved |grep active|grep running)" ]; then
	$ZENITY --width=300 --question --text="Aquest ordinador no pot connectar-se a la\n\
<b>wifi gencat_ENS_EDU_PORTAL</b>\n\r\
Voleu canviar la configuració per poder-vos-hi connectar?"
	if [ "$?" != "1" ]; then
# SYSTEMD-RESOLVED IS RUNNING -> DISABLE
	        systemctl disable systemd-resolved >/dev/null 2>&1
	        systemctl stop systemd-resolved >/dev/null 2>&1
	        if [ -e /etc/NetworkManager/NetworkManager.conf ]; then
	                if [ -z "$(grep -i "dns=default" /etc/NetworkManager/NetworkManager.conf)" ]; then
	                        sed -ie '/\[main\]/a dns=default' /etc/NetworkManager/NetworkManager.conf
	                fi
	        fi
	        if [ -L /etc/resolv.conf ]; then
	                unlink /etc/resolv.conf
	        fi
	        systemctl reload NetworkManager >/dev/null 2>&1
		$ZENITY --info --width=300 --text "Aquest ordinador ja es pot connectar a la\n<b>wifi gencat_ENS_EDU_PORTAL</b>."
	fi
else
	$ZENITY --info --width=300 --text "Aquest ordinador ja es pot connectar a la\n<b>wifi gencat_ENS_EDU_PORTAL</b>."
fi
