#!/bin/bash
if [ -z "$(file /sbin/init|grep systemd)" ]; then
	exit 0
fi
if [ -n "$(systemctl -n0 status systemd-resolved |grep active|grep running)" ]; then
# SYSTEMD-RESOLVED IS RUNNING -> DISABLE
	systemctl disable systemd-resolved >/dev/null 2>&1
	systemctl stop systemd-resolved >/dev/null 2>&1
	if [ -e /etc/NetworkManager/NetworkManager.conf ]; then
		if [ -z "$(grep -i "dns=default" /etc/NetworkManager/NetworkManager.conf)" ]; then
			sed -ie '/\[main\]/a dns=default' /etc/NetworkManager/NetworkManager.conf
		fi
	fi
	if [ -L /etc/resolv.conf ]; then
		unlink /etc/resolv.conf
	fi
	systemctl reload NetworkManager >/dev/null 2>&1
	printf "Servei systemd-resolved deshabilitat.\nPodeu fer servir el portal captiu gencat_ENS_EDU_PORTAL\n\r"
else
# SYSTEMD-RESOLVED IS NOT RUNNING -> ENABLE
	if [ -e /etc/resolv.conf ]; then
		rm /etc/resolv.conf
	fi
	sed -ie '/dns=default/d' /etc/NetworkManager/NetworkManager.conf
	systemctl enable systemd-resolved >/dev/null 2>&1
	systemctl start systemd-resolved >/dev/null 2>&1
	ln -s /run/systemd/resolve/stub-resolv.conf /etc/resolv.conf
	systemctl reload NetworkManager >/dev/null 2>&1
	printf "Servei systemd-resolved habilitat.\nNo podeu fer servir el portal captiu gencat_ENS_EDU_PORTAL\n\r"
fi
